PLEASE NOTE: These forums are no longer utilized and are provided as an archive for informational purposes only. All support issues will be handled via email using our support ticket system. For more detailed information on this change, please see this blog post.

Conditional Logic fields not showing on Apple smart phones

  1. Sophie
    Member

    I am currently having a problem with our forms for people using Apple products eg. iPhone, iPads.. the fields which are conditional logic on the forms do not show up, therefore the user cannot complete the form.

    Is this an issue for any other users out there? I am working with the Boast theme in wordpress.

    Posted 10 years ago on Friday January 21, 2011 | Permalink
  2. I haven't run into this problem so far and I've tested the forms on my iPhone, etc. Can you post a URL to your form(s) so we can test them out?

    Posted 10 years ago on Friday January 21, 2011 | Permalink
  3. Sophie
    Member

    Hi, thanks for your help.
    http://weddings.docksidegroup.com.au/upcoming-events/

    Posted 10 years ago on Friday January 21, 2011 | Permalink
  4. Thanks for the link. We will check it out and let you know what we find.

    Posted 10 years ago on Friday January 21, 2011 | Permalink
  5. I looked at this form in Safari (desktop) as well as Firefox and it has several formatting issues. I don't think this is related to the mobile devices at all, but purely some CSS formatting weirdness in your theme.

    I'll look a little closer and see if I can offer some guidance.

    Posted 10 years ago on Friday January 21, 2011 | Permalink
  6. Yes, the issue is with your theme styles, not with conditional logic. The theme styling is off in the webkit based browsers (Safari, Mobile Safari & Chrome) so this does affect the Apple mobile devices too.

    The checkbox/multiple choice lists are hidden, but when I disable your theme styles and test, the conditional logic is working as intended.

    I notice that you're using an older version of the plugin. We've added several fixes, styling updates, etc since that version so before we do anything else, I would suggest that you upgrade to version 1.4.5. You should be able to run the auto-update from the plugins page if you've entered your license key in the form settings. If you can't auto-update, you can download the 1.4.5 version from the downloads page and update it manually.

    After you've done that, we can take another look and see what's going on. It's definitely some style weirdness with your theme as the default styles work properly in these browsers.

    Posted 10 years ago on Saturday January 22, 2011 | Permalink